DU(1)

NOMBRE
du - estima el uso de espacio de ficheros

SINOPSIS
du [OPCIÓN]... [FICHERO]...
du [OPCIÓN]... --files0-from=F

DESCRIPCIÓN

Muestra un resumen del uso de disco para un determinado conjunto de ARCHIVOS, en el caso de los directorios lo hará de forma recursiva.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-0, --null
    termina cada línea con NULL, no con nueva línea

-a, --all
    muestra resultados para todos los ficheros, no solo para los directorios

--apparent-size
    muestra los tamaños aparentes, en lugar del uso del dispositivo; el tamaño aparente es normalmente más pequeño, puede ser más grande debido a agujeros en ficheros dispersos, fragmentación interna, bloques indirectos y similar

-B, --block-size=TAMAÑO
    escale los tamaños por TAMAÑO antes de imprimirlos; por ejemplo, & '- BM' imprime tamaños en unidades de 1.048.576 bytes; consulte a continuación el formato TAMAÑO

-b, --bytes
    equivalente a '--apparent-size --block-size=1'

-c, --total
    produce un "total"

-D, --dereference-args
    sigue solamente los enlaces listados en la línea de órdenes

-d, --max-depth=N
    muestra el total para un directorio (o para un fichero, con --all) solamente si está N o menos niveles por debajo del argumento de la línea de órdenes; --max-depth=0 es lo mismo que --summarize

--files0-from=ARCHIVO
    resume el uso de disco de los nombres de ficheros terminados en NUL especificados en el fichero F; si F es - entonces lee los nombres de la entrada estándar

-H  equivalente a --dereference-args (-D)

-h, --human-readable
    muestra los tamaños de forma legible (p. ej., 1K 234M 2G)

--inodes
    muestra el uso de nodos-i en lugar del uso de bloques

-k  como --block-size=1K

-L, --dereference
    sigue todos los enlaces simbólicos

-l, --count-links
    cuenta los tamaños varias veces si hay enlaces fuertes

-m  como --block-size=1M

-P, --no-dereference
    no sigue ningún enlace simbólico (predeterminado)

-S, --separate-dirs
    para directorios no incluye el tamaño de los subdirectorios

--si
    como -h, pero utiliza potencias de 1000, no de 1024

-s, --summarize
    muestra solamente un total para cada argumento

-t, --threshold=TAM
    excluye entradas menores que TAM si es positivo, o entradas mayores que TAM si es negativo

--time
    muestra la fecha/hora de la última modificación de cualquier fichero dentro del directorio, o de cualquiera de sus subdirectorios

--time=PALABRA
    muestra la fecha/hora como PALABRA en lugar de la fecha de modificación: atime, access, use, ctime o status

--time-style=ESTILO
    muestra las fechas/horas usando el estilo ESTILO, que puede ser: full-iso, long-iso, iso, o +FORMATO FORMATO se interpreta como en 'date'

-X, --exclude-from=FICHERO
    excluye los archivos que coincidan con alguna expresión regular de FICHERO

--exclude=PATRÓN
    excluye los ficheros que coinciden con PATRÓN

-x, --one-file-system
    se salta los directorios de otros sistemas de ficheros

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Los valores se muestran en unidades del primer TAMAÑO disponible de --block-size, y las variables de entorno DU_BLOCK_SIZE, BLOCK_SIZE y BLOCKSIZE. En caso contrario, las unidades son 1024 bytes (o 512 si se ha establecido POSIXLY_CORRECT).

El argumento TAMAÑO es un entero y una unidad opcional (ejemplo: 10K es 10 * 1024). Las unidades son K, M, G, T, P, E, Z, Y, R y Q (potencias de 1024) o KB, MB, ... (potencias de 1000). También se pueden usar prefijos binarios: KiB = K, MiB = M, etc.

PATRONES
PATRÓN es un patrón de shell (no una expresión regular). El patrón ? coincide con cualquier carácter, mientras que * coincide con cualquier cadena (puede contener cero, uno o varios caracteres). Por ejemplo, *.o coincidirá con cualquier archivo cuyos nombres terminen en .o. Por lo tanto, la orden

    du --exclude='*.o'

saltará todos los archivos y diretorios que terminen en .o (incluso si se llama exactamente .o).

AUTOR
Escrito por Torbjorn Granlund, David MacKenzie, Paul Eggert y Jim Meyering.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/du>
también disponible en su equipo ejecutando: info '(coreutils) du invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es>, Juan Piernas <piernas@ditec.um.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.